com.salesforce.hyperdb.grpc

## Interface HyperServiceGrpc.AsyncService

All Known Implementing Classes:
  HyperServiceGrpc.HyperServiceImplBase

Enclosing class:
  HyperServiceGrpc

    public static interface HyperServiceGrpc.AsyncService

### Method Summary

All Methods Instance Methods Default Methods
`default void` `cancelQuery(CancelQueryParam request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)`
`default void` `executeQuery(QueryParam request, io.grpc.stub.StreamObserver<ExecuteQueryResponse> responseObserver)`
`default void` `getQueryInfo(QueryInfoParam request, io.grpc.stub.StreamObserver<QueryInfo> responseObserver)`
`default void` `getQueryResult(QueryResultParam request, io.grpc.stub.StreamObserver<QueryResult> responseObserver)`

### Method Detail

#### executeQuery

    default void executeQuery(QueryParam request,
                              io.grpc.stub.StreamObserver<ExecuteQueryResponse> responseObserver)

#### getQueryResult

    default void getQueryResult(QueryResultParam request,
                                io.grpc.stub.StreamObserver<QueryResult> responseObserver)

#### getQueryInfo

    default void getQueryInfo(QueryInfoParam request,
                              io.grpc.stub.StreamObserver<QueryInfo> responseObserver)

#### cancelQuery

    default void cancelQuery(CancelQueryParam request,
                             io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)